using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pecina
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] input_raw_NL = Console.ReadLine().Split(' ');
            string[] input_raw_stalactite = Console.ReadLine().Split(' ');
           
            int[] input_array_stalactite_int = Array.ConvertAll(input_raw_stalactite, int.Parse);
            
            int N = Convert.ToInt32(input_raw_NL[0]);
            int L = Convert.ToInt32(input_raw_NL[1]);
           
            for(int i = 0; i < N; i++)
            {
                if (input_array_stalactite_int[i] <= L)
                {
                    Console.WriteLine(i+1);
                    Console.ReadLine();
                    return;
                }
            }

            Console.WriteLine(-1);
            Console.ReadLine();

        }
    }
}